﻿$ErrorActionPreference = 'Stop'
$packageName = 'google-backup-and-sync' 
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'https://dl.google.com/drive/gsync_enterprise.msi'
$checksum    = '089FE216AF467A8AE843C41D90FCC103679D186CD33AB2937A9D4DC932F1E91F'
$url64       = 'https://dl.google.com/drive/gsync_enterprise64.msi'
$checksum64  = 'B3CFC7727BB3CEC95582712F2BCCD65C131CA3C84B5E21CBCBFD0F92177F79CF'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'MSI'
  url            = $url
  url64          = $url64
  validExitCodes = @(0, 3010, 1641)
  silentArgs     = '/quiet /norestart'
  softwareName   = 'Backup and Sync from Google'
  checksum       = $checksum
  checksumType   = 'sha256'
  checksum64     = $checksum64
  checksumType64 = 'sha256'  
}

Install-ChocolateyPackage @packageArgs  
